All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib
Class BaseROCFBodyTag

    com.sas.taglib.BaseROCFBodyTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class BaseROCFBodyTag

The base object for all tag handlers in the SAS Custom Tag Library which have a body and need to be created using ROCF

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RB_KEY` Static key for referencing the Internationalization Strings for this class

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS`

Constructor Summary
`BaseROCFBodyTag()` Constructor for BaseROCFBodyTag

Method Summary
`java.lang.String` | `getConnection()` Returns the connection name.
`com.sas.rmi.Connection` | `getConnectionObject()` Gets the connectionObject of the wrappedClass.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`java.lang.Object` | `newInstance()` Creates a new instance of the wrapped class using the connection object and ROCF.
`void` | `setConnection(java.lang.String connection)` The connection String is used to find the Connection (with in the specified scope) to bind the wrappedClass to.
`void` | `setConnectionObject(com.sas.rmi.Connection connectionObject)` Sets the connectionObject of the wrappedClass instance.

Methods inherited from class com.sas.taglib.BaseBodyTag
`applyAttributes, doCatch, doFinally, doStartTag, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getLocale, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setLocale, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

  Static key for referencing the Internationalization Strings for this class

  See Also:
    Constant Field Values

Constructor Detail

### BaseROCFBodyTag

    public BaseROCFBodyTag()

  Constructor for BaseROCFBodyTag

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseBodyTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setConnection

    public void setConnection(java.lang.String connection)

  The connection String is used to find the Connection (with in the specified scope) to bind the wrappedClass to.

  Parameters:
    `connection` - the connection String identifying the connection instance

### getConnection

    public java.lang.String getConnection()

  Returns the connection name.

### setConnectionObject

    public void setConnectionObject(com.sas.rmi.Connection connectionObject)

  Sets the connectionObject of the wrappedClass instance.

  Parameters:
    `connectionObject` - Sets the connection object to bind the wrappedClass

### getConnectionObject

    public com.sas.rmi.Connection getConnectionObject()

  Gets the connectionObject of the wrappedClass.

  Returns:
    The connection object to bind the wrappedClass

### newInstance

    public java.lang.Object newInstance()
                                 throws javax.servlet.jsp.JspException

  Creates a new instance of the wrapped class using the connection object and ROCF.

  Overrides:
    `newInstance` in class `BaseBodyTag`
  Returns:
    an instance of the wrapped class that can be cast to the appropriate class
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `BaseBodyTag.setWrappedObject(java.lang.Object)`, `BaseBodyTag.getWrappedObject()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.